# version.h File Reference

Template Header. More...

Go to the source code of this file.

## Namespaces

namespace | synfig

## Defines

#define | SYNFIG_VERSION (006000)
| Synfig API Version.
#define | SYNFIG_LIBRARY_VERSION 47
#define | SYNFIG_CHECK_VERSION() synfig::check_version_(SYNFIG_LIBRARY_VERSION,sizeof(synfig::Vector),sizeof(synfig::Color),sizeof(synfig::Canvas),sizeof(synfig::Layer))

## Functions

bool | synfig::check_version_ (int v, int vec_size, int color_size, int canvas_size, int layer_size)
| Version checker.
const char * | synfig::get_version ()
const char * | synfig::get_build_date ()

## Detailed Description

Template Header.

$Id$

## Define Documentation

#define SYNFIG_VERSION (006000)

Synfig API Version.

The macro SYNFIG_VERSION can be set to ensure compile-time compatibility with future versions of Synfig. The first two digits are the major version, the second two digits are the minor version, and the last two digits are the revision release.

#define SYNFIG_LIBRARY_VERSION 47

Increment this value whenever the library changes in a way that breaks library compatibility

Referenced by synfig::check_version_().

#define SYNFIG_CHECK_VERSION | ( |  | ) | synfig::check_version_(SYNFIG_LIBRARY_VERSION,sizeof(synfig::Vector),sizeof(synfig::Color),sizeof(synfig::Canvas),sizeof(synfig::Layer))

Todo:
  This needs to be documented further.

Referenced by main().